NAME
	push_array_items - push array contents on stack

SYNTAX
	#include "array.h"

	void push_array_items(struct array *a)

DESCRIPTION
	This function is mainly used by the @ operator. It pushes all elements
	in the array 'a' on the stack. It also frees one ref count on 'a', so
	be sure to do a->refs++ first if you want to use the array after
	calling this function. This function also calls check_stack properly.

KEYWORDS
	array

SEE ALSO
	aggregate_array, check_stack
